Package ietf.params.xml.ns.icalendar_2

# Class CalAddressListParamType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BaseParameterType
ietf.params.xml.ns.icalendar_2.CalAddressListParamType

Direct Known Subclasses:
  `DelegatedFromParamType`, `DelegatedToParamType`, `MemberParamType`

public class CalAddressListParamType extends BaseParameterType

Java class for CalAddressListParamType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CalAddressListParamType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BaseParameterType">
           <sequence>
             <element ref="{urn:ietf:params:xml:ns:icalendar-2.0}cal-address" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<String>`
  `calAddress`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CalAddressListParamType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getCalAddress()`
  Gets the value of the calAddress property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### calAddress

    protected List<String> calAddress

- ## Constructor Details

  - ### CalAddressListParamType

    public CalAddressListParamType()

- ## Method Details

  - ### getCalAddress

    public List<String> getCalAddress()
    Gets the value of the calAddress property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the calAddress property.

    For example, to add a new item, do as follows:

            getCalAddress().add(newItem);

    Objects of the following type(s) are allowed in the list `String`